ru.bitel.bgbilling.modules.tv.runtime

## Class ProductRuntimeList

- java.lang.Object
- - ru.bitel.common.util.AbstractPeriodItemSet<ProductRuntimeList.ProductItem>
  - - ru.bitel.bgbilling.modules.tv.runtime.ProductRuntimeList

-     public class ProductRuntimeList
      extends ru.bitel.common.util.AbstractPeriodItemSet<ProductRuntimeList.ProductItem>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProductRuntimeList.ProductItem`

    - ### Nested classes/interfaces inherited from class ru.bitel.common.util.AbstractPeriodItemSet

      `ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.util.AbstractPeriodItemSet

      `entries`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProductRuntimeList` | `add(int productSpecId, int productId, int activationModeId, java.util.Date timeFrom, java.util.Date timeTo, short state)`
    `protected boolean` | `containsMillis(ProductRuntimeList.ProductItem item, long millis)`
    `long` | `getTimeFrom(int productId)`
    `protected boolean` | `isCoincide(ProductRuntimeList.ProductItem item, ProductRuntimeList.ProductItem other)`
    `ProductRuntimeList.ProductItem` | `itemByProductId(int productId)`
    `ProductRuntimeList.ProductItem[]` | `items()`
    `java.util.List<ProductRuntimeList.ProductItem>` | `listEndingAt(long millis)`
    `java.util.Map<java.lang.Integer,ProductRuntimeList.ProductItem>` | `mapByProductId(long date1, long date2)`
    `static ProductRuntimeList` | `newInstance(java.util.List<Product> productList)`
    `java.util.Map<java.lang.Integer,java.lang.Integer>` | `optionMap(long date1, long date2)`
    `ProductRuntimeList` | `remove(int productSpecId, int productId, int activationModeId, java.util.Date timeFrom, java.util.Date timeTo)`
    `ProductRuntimeList` | `update(int productSpecId, int productId, int activationModeId, java.util.Date timeFrom, java.util.Date timeTo, short state)`
    `protected ProductRuntimeList.ProductItem[]` | `update(ProductRuntimeList.ProductItem newItem)`
    `void` | `updateState(int productId, short deviceState)`

    - ### Methods inherited from class ru.bitel.common.util.AbstractPeriodItemSet

      `add, contains, contains, containsAll, containsAll, count, count, countMillis, countMillis, get, item, items, items, items, map, nextActivateTime, remove, size, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### listEndingAt

          public java.util.List<ProductRuntimeList.ProductItem> listEndingAt(long millis)

    - #### containsMillis

          protected boolean containsMillis(ProductRuntimeList.ProductItem item,
                                           long millis)

      Overrides:
        `containsMillis` in class `ru.bitel.common.util.AbstractPeriodItemSet<ProductRuntimeList.ProductItem>`

    - #### isCoincide

          protected boolean isCoincide(ProductRuntimeList.ProductItem item,
                                       ProductRuntimeList.ProductItem other)

      Overrides:
        `isCoincide` in class `ru.bitel.common.util.AbstractPeriodItemSet<ProductRuntimeList.ProductItem>`

    - #### getTimeFrom

          public long getTimeFrom(int productId)

    - #### optionMap

          public java.util.Map<java.lang.Integer,java.lang.Integer> optionMap(long date1,
                                                                              long date2)

    - #### add

          public ProductRuntimeList add(int productSpecId,
                                        int productId,
                                        int activationModeId,
                                        java.util.Date timeFrom,
                                        java.util.Date timeTo,
                                        short state)

    - #### update

          public ProductRuntimeList update(int productSpecId,
                                           int productId,
                                           int activationModeId,
                                           java.util.Date timeFrom,
                                           java.util.Date timeTo,
                                           short state)

    - #### update

          protected ProductRuntimeList.ProductItem[] update(ProductRuntimeList.ProductItem newItem)

      Overrides:
        `update` in class `ru.bitel.common.util.AbstractPeriodItemSet<ProductRuntimeList.ProductItem>`

    - #### remove

          public ProductRuntimeList remove(int productSpecId,
                                           int productId,
                                           int activationModeId,
                                           java.util.Date timeFrom,
                                           java.util.Date timeTo)

    - #### itemByProductId

          public ProductRuntimeList.ProductItem itemByProductId(int productId)

    - #### newInstance

          public static ProductRuntimeList newInstance(java.util.List<Product> productList)

    - #### items

          public ProductRuntimeList.ProductItem[] items()

    - #### updateState

          public void updateState(int productId,
                                  short deviceState)

    - #### mapByProductId

          public java.util.Map<java.lang.Integer,ProductRuntimeList.ProductItem> mapByProductId(long date1,
                                                                                                long date2)